{pkgs, ...}: {
  home.packages = [pkgs.zsh];

  programs.zsh = {
    enable = true;
    enableCompletion = true;
    autosuggestion.enable = true;
    syntaxHighlighting.enable = true;

    shellAliases = {
      home = "nvim /home/benag/.nix-config/home/home.nix";
      config = "nvim /home/benag/.nix-config/configuration/configuration.nix";
      fl = "nvim /home/benag/.nix-config/flake.nix";
      rebuild = "sudo nixos-rebuild switch --flake /home/benag/.nix-config#benag";
      cat = "bat -p -P";
      c = "clear;fastfetch";

      ssh = "TERM=xterm-256color ssh";
    };

    history = {
      size = 10000;
      ignoreAllDups = true;
      path = "$HOME/.zsh_history";
    };

    initContent = ''
      fastfetch

      bindkey "^[[1;5C" forward-word
      bindkey "^[[1;5D" backward-word
    '';
  };
}
